class CreateHipayVirements < ActiveRecord::Migration
  def change
    create_table :hipay_virements do |t|
      t.string :hipay_email
      t.boolean :confirmed
      t.boolean :sended
      t.datetime :sended_at
      t.references :devise, index: true
      t.string :token
      t.string :note
      t.boolean :done
      t.references :annonce_account, index: true
      t.decimal :tva, :precision => 10, :scale => 2
      t.decimal :frais, :precision => 10, :scale => 2
      t.decimal :solde, :precision => 10, :scale => 2
      t.decimal :amount_ht, :precision => 10, :scale => 2
      t.decimal :amount_ttc, :precision => 10, :scale => 2
      t.references :commission, index: true

      t.timestamps null: false
    end

  end
end
